PHP Version:
Complexity: easy
Subject: Deprecate softRefParser_GL
Description

typo3/sysext/backend/Classes/Utility/BackendUtility.php defines a general hook "softRefParser_GL" to add a general softRefParser
which parses every SoftReference regardless of its type. The "softRefParser_GL"-hook is undocumented and used neither in core nor
in any known extension.

http://docs.typo3.org/typo3cms/TCAReference/AdditionalFeatures/SoftReferences/Index.html

There are several types of SoftReferences defined:

There is a default configuration in typo3/sysext/core/Configuration/DefaultConfiguration.php mapping "softRefParser" for several types
to TYPO3\CMS\Core\Database\SoftReferenceIndex. Also rtehtmlarea adds a parser for "rtehtmlarea_images".

Removing it would mean a "softRefParser_GL" hook in an extension would have to be replaced with multiple "softRefParser" hooks
for each type the parser can handle instead of having one "softRefParser_GL" hook declaring "I want to parse all!". You cannot know
how every possible softref has to be parsed, so registering for every type the parser knows to handle is perfectly valid.

Therefore softRefParser_GL should be deprecated in CMS 7 and removed in CMS 8.

Related issues:
related to Core - Bug # 63674: High memory consumption in BackendUtility->exp... Resolved 2014-12-08

Associated revisions
Revision 10459346 - 2015-01-05 13:26 - Stephan Großberndt

[!!!][TASK] Deprecate global hook softRefParser_GL

The hook ['SC_OPTIONS']['GLOBAL']['softRefParser_GL'] has been
deprecated. It was a hook to add a general softRefParser which parsed
every SoftReference regardless of its type. The "softRefParser_GL"-hook
was undocumented and used neither in core nor in any known extension.

Resolves: #64109
Releases: master
Change-Id: I1a69097f50e8002e559bd89d39b9ed72dfa18e03
Reviewed-on: http://review.typo3.org/35773
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
History
#1 - 2015-01-04 15:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35773

#2 - 2015-01-04 15:59 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35773

#3 - 2015-01-04 16:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35773

#4 - 2015-01-04 16:23 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35773

#5 - 2015-01-04 16:38 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35773

#6 - 2015-01-05 05:12 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35773

#7 - 2015-01-06 20:00 - Stephan Großberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:104593467782de3d2df2008fcb22d1a1cb0f71d4.
